# Interface Db<_C>

#### Type Parameters

- #### _C extends Meta.Collections

#### Hierarchy

- Db

- Defined in packages/db/src/meta/interface.ts:13

#####
Index

### Methods

execute

## Methods

### execute

- execute(request, variables): Promise<ExecutionResult<{
  [key: string]: any;
  }, {
  [key: string]: any;
  }>>

- Perform a query or mutation via GraphQL interface

  #### Parameters

  - ##### request: string | DocumentNode

  - ##### variables: any

  #### Returns Promise<ExecutionResult<{
  [key: string]: any;
  }, {
  [key: string]: any;
  }>>

  - Defined in packages/db/src/meta/interface.ts:17

Generated using TypeDoc